Subject: bug#16497: 24.3.50; `move-to-column' ignores invisible text at the beginning of the line, which create problems when using string-rectangle

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2014 19:11:43 +0200

> From: Bastien Guerry <[email-masked]>
> Date: Sun, 19 Jan 2014 17:26:34 +0100
> 
> emacs -Q
> C-x C-f ~/test.org
> 
> Then insert this
> 
> #+TITLE: test
> 
> =abc=
> =def=
> 
> M-: (setq org-hide-emphasis-markers t) RET
> 
> Go back to the buffer, hit C-c C-c.

This should read "Go back to the BEGINNING of the buffer, hit C-c
C-c."  Otherwise C-c C-c does nothing but bitch at you.

> The = characters are now hidden.
> 
> Go back to the beginning of the =abc= line.
> 
> C-SPC C-n C-x r t SPC RET yields
> 
> = abc=
> =def=
> 
> instead of
> 
>  =abc=
> =def=

What I see is this instead:

= abc=
= def=

> `move-to-column' seems to go back to the first visibile character of
> the column, not the true first character.

Is it possible to concoct a simple test case that explicitly uses
move-to-column, and doesn't require Org?  I'm afraid you lost me with
all these gestures, and I don't necessarily see how does
move-to-column come into play here.

Thanks.